org.modeshape.connector.meta.jdbc

## Class ColumnMetadata

- java.lang.Object
- - org.modeshape.connector.meta.jdbc.ColumnMetadata

-     @Immutable
      public class ColumnMetadata
      extends Object

  Container for column-level metadata. The fields in this class roughly parallel the information returned from the `DatabaseMetaData.getColumns(String, String, String, String)` method.

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `ColumnMetadata(String name, int jdbcDataType, String typeName, int columnSize, int decimalDigits, int radix, Boolean nullable, String description, String defaultValue, int length, int ordinalPosition, String scopeCatalogName, String scopeSchemaName, String scopeTableName, Integer sourceJdbcDataType)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getColumnSize()`
    `int` | `getDecimalDigits()`
    `String` | `getDefaultValue()`
    `String` | `getDescription()`
    `int` | `getJdbcDataType()`
    `int` | `getLength()`
    `String` | `getName()`
    `Boolean` | `getNullable()`
    `int` | `getOrdinalPosition()`
    `int` | `getRadix()`
    `String` | `getScopeCatalogName()`
    `String` | `getScopeSchemaName()`
    `String` | `getScopeTableName()`
    `Integer` | `getSourceJdbcDataType()`
    `String` | `getTypeName()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ColumnMetadata

          protected ColumnMetadata(String name,
                        int jdbcDataType,
                        String typeName,
                        int columnSize,
                        int decimalDigits,
                        int radix,
                        Boolean nullable,
                        String description,
                        String defaultValue,
                        int length,
                        int ordinalPosition,
                        String scopeCatalogName,
                        String scopeSchemaName,
                        String scopeTableName,
                        Integer sourceJdbcDataType)

  - ### Method Detail

    - #### getName

          public String getName()

      Returns:
        the column name (COLUMN_NAME in the `DatabaseMetaData.getColumns(String, String, String, String)` result set).

    - #### getJdbcDataType

          public int getJdbcDataType()

      Returns:
        the JDBC data type (from `Types`) (DATA_TYPE in the `DatabaseMetaData.getColumns(String, String, String, String)` result set).

    - #### getTypeName

          public String getTypeName()

      Returns:
        the database-dependent type name (TYPENAME in the `DatabaseMetaData.getColumns(String, String, String, String)` result set).

    - #### getColumnSize

          public int getColumnSize()

      Returns:
        the column size (length for character data types, precision for numeric data types) (COLUMN_SIZE in the `DatabaseMetaData.getColumns(String, String, String, String)` result set).

    - #### getDecimalDigits

          public int getDecimalDigits()

      Returns:
        the number of fractional digits in the column (DECIMAL_DIGITS in the `DatabaseMetaData.getColumns(String, String, String, String)` result set).

    - #### getRadix

          public int getRadix()

      Returns:
        the radix for the column (NUM_PREC_RADIX in the `DatabaseMetaData.getColumns(String, String, String, String)` result set).

    - #### getNullable

          public Boolean getNullable()

      Returns:
        whether the column allows NULLs or not (NULLABLE in the `DatabaseMetaData.getColumns(String, String, String, String)` result set); null indicates that it cannot be determined if the column allows NULLs.

    - #### getDescription

          public String getDescription()

      Returns:
        the column description (REMARKS in the `DatabaseMetaData.getColumns(String, String, String, String)` result set).

    - #### getDefaultValue

          public String getDefaultValue()

      Returns:
        the default value for the column, if any (COLUMN_DEF in the `DatabaseMetaData.getColumns(String, String, String, String)` result set).

    - #### getLength

          public int getLength()

      Returns:
        the number of bytes in the column (for char types) (CHAR_OCTECT_LENGTH in the `DatabaseMetaData.getColumns(String, String, String, String)` result set).

    - #### getOrdinalPosition

          public int getOrdinalPosition()

      Returns:
        the 1-based index of the column within its table (ORDINAL_POSITION in the `DatabaseMetaData.getColumns(String, String, String, String)` result set).

    - #### getScopeCatalogName

          public String getScopeCatalogName()

      Returns:
        for columns of type REF, the catalog name of the target table (SCOPE_CATALOG in the `DatabaseMetaData.getColumns(String, String, String, String)` result set).

    - #### getScopeSchemaName

          public String getScopeSchemaName()

      Returns:
        for columns of type REF, the schema name of the target table (SCOPE_SCHEMA in the `DatabaseMetaData.getColumns(String, String, String, String)` result set).

    - #### getScopeTableName

          public String getScopeTableName()

      Returns:
        for columns of type REF, the name of the target table (SCOPE_TABLE in the `DatabaseMetaData.getColumns(String, String, String, String)` result set).

    - #### getSourceJdbcDataType

          public Integer getSourceJdbcDataType()

      Returns:
        the source type of the referred type (from `Types`) for REF columns (SOURCE_DATA_TYPE in the `DatabaseMetaData.getColumns(String, String, String, String)` result set).

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.